/*
 * Copyright 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import QtQml 2.15
import QtQuick.Layouts 1.15
import QtQuick.Controls 2.5
import QtQml.Models 2.2

Item {
    id: dialogRoot
    width: 350
    height: 300
    property var model: null
    property string groupTitle: qsTr("group")

    property alias dialogVisible: dialog.visible
    property alias dialogScale: dialog.scale

    property alias dialogSourceX: dialog.x
    property alias dialogSourceY: dialog.y

    property alias dialogWidth: dialogRoot.width
    property alias dialogHeight: dialogRoot.height

    signal groupClose

    Dialog {
        id: dialog
        visible: false
        contentItem:
            ColumnLayout {
                id: coulumn
                anchors.fill: parent
                spacing: 0

                Text {
                    id: title
                    text: groupTitle
                    horizontalAlignment: Text.AlignHCenter
                    verticalAlignment: Text.AlignVCenter
                    Layout.fillWidth: true
                    Layout.fillHeight: true
                    Layout.minimumHeight: 40
                }
                LauncherItemView {
                    id: itemView
                    Layout.fillWidth: true
                    Layout.fillHeight: true
                    Layout.preferredWidth: dialogRoot.width
                    Layout.preferredHeight: dialogRoot.height
                    Layout.minimumWidth: dialogRoot.width
                    Layout.alignment: Qt.AlignHCenter
                    viewMoel: model
                    opacity: 1
                }
            }
        onClosed: {
            dialogRoot.groupClose()
            console.log("onClosed-----")
        }
    }
}
