/*
 * Copyright 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import QtQml 2.15
import QtQuick.Layouts 1.15
import QtQuick.Controls 2.5
import QtQml.Models 2.2
import org.ukui.qqc2style.private 1.0 as StylePrivate

Rectangle {
    id: rectRoot

    property string infoBoxImageSource
    property string infoBoxText
    property string leftBtnText
    property string rightBtnText
    property string desktopFile
    property var visualIndex
    property var pageIndex
    property var groupId

    color: StylePrivate.StyleHelper.windowcolorrole
    visible: false; radius: Style.widthScaleFactor * 22
    width: Style.widthScaleFactor * 520; height: Style.widthScaleFactor * 220
    anchors.horizontalCenter: parent.horizontalCenter; anchors.verticalCenter: parent.verticalCenter
    ColumnLayout {
        spacing: 0
        anchors.fill: parent; Layout.alignment: Qt.AlignCenter
        Layout.fillHeight: true; Layout.fillWidth: true
        RowLayout {
            width: Style.widthScaleFactor * 400; height: Style.widthScaleFactor * 64
            spacing: Style.widthScaleFactor * 16; Layout.leftMargin: Style.widthScaleFactor * 40
            Layout.topMargin: Style.widthScaleFactor * 20
            Image {
                id: infoBoxImage
                sourceSize.width: Style.widthScaleFactor * 64; sourceSize.height: Style.heightScaleFactor * 64
                source: infoBoxImageSource;
            }
            Text {
                text: "确认卸载" + infoBoxText + "应用？"
                width: Style.widthScaleFactor * 154; height: Style.heightScaleFactor * 25
                font.pointSize: 13; color: "#262626"; font.family: "Noto Sans CJK SC Medium"
                font.styleName: "Regular"; Layout.alignment: Qt.AlignCenter
            }
        }
        RowLayout {
            width: Style.widthScaleFactor * 272; height: Style.widthScaleFactor * 46
            spacing: Style.widthScaleFactor * 20; Layout.leftMargin: Style.widthScaleFactor * 235
            Layout.bottomMargin: Style.widthScaleFactor * 26
            Button {
                id: leftRectBtn
                width: Style.widthScaleFactor * 126; height: Style.widthScaleFactor * 46
                StylePrivate.StyleHelper.buttonType: "MinButton"
                text: leftBtnText
                onClicked: {
                    console.log("===取消卸载===")
                    rectRoot.visible = false
                }
            }
            Button {
                id: rightRectBtn
                width: Style.widthScaleFactor * 126; height: Style.widthScaleFactor * 46
                StylePrivate.StyleHelper.buttonType: "blueButton"
                text: rightBtnText
                onClicked: {
                    console.log("===确认卸载===")
                    rectRoot.visible = false
                    modelManager.removeItem(visualIndex, pageIndex, groupId)
                    appManager.removeApplication(desktopFile)
                }
            }
        }
    }
}
