/*
 * Copyright 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import QtQml 2.15
import QtQuick.Layouts 1.15
import QtQuick.Controls 2.5
import "."

Item {
    width: Style.widthScaleFactor * 220;
    height: Style.heightScaleFactor * 43;
    RowLayout{
        anchors.fill: parent

        Image {
            id: loginFootImage
            sourceSize.width: Style.widthScaleFactor * 72;
            sourceSize.height: Style.heightScaleFactor * 43;
            source: "qrc:/ui/images/kylin-logo.svg"
        }

        Column {
            width: Style.widthScaleFactor * 128; height: Style.widthScaleFactor * 41

            Text {
                id: logoFootTopText
                text: "麒麟软件有限公司"; width: Style.widthScaleFactor * 128;
                height: Style.heightScaleFactor * 22; color: "#FFFFFF"
                lineHeight: Style.heightScaleFactor * 22;
                font.pointSize: 12;
                font.family: "PingFang SC"; font.styleName: "Regular"
            }
            Text {
                id: logoFootBotText
                text: "版本：1.0.0-alpha.1"; width: Style.widthScaleFactor * 127;
                height: Style.heightScaleFactor * 20; color: "#FFFFFF"
                lineHeight: Style.heightScaleFactor * 20;
                font.pointSize: 11
                font.family: "Noto Sans CJK SC Regular"; font.styleName: "Regular"
            }
        }
    }
}
