/*
 * Copyright 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import QtQml 2.15
import QtQuick.Layouts 1.15
import QtQuick.Controls 2.5
import "."

Item {
    id: rectRoot
    width: Style.widthScaleFactor * 175; height: Style.heightScaleFactor * 80;

    RowLayout {
        anchors.fill: parent
        Image {
            id: loginImage
            Layout.preferredWidth: Style.widthScaleFactor * 64;
            Layout.preferredHeight: Style.heightScaleFactor * 64;
            sourceSize.width: Style.widthScaleFactor * 64;
            sourceSize.height: Style.heightScaleFactor * 64;
            source: "qrc:/ui/images/logo.png"
        }

        Column {
            spacing: 0
            Layout.fillHeight: true
            Layout.fillWidth: true
            Layout.alignment: Qt.AlignVCenter

            Text {
                id: logoHeadTopText
                text: "麒麟大屏";
                width: parent.width;
                height: parent.height / 2;
                horizontalAlignment: Qt.AlignRight
                verticalAlignment: Qt.AlignVCenter
                color: "#FFFFFF"
                font.pointSize: 18
                font.family: "Noto Sans CJK SC Regular"; font.styleName: "Medium"
            }
            Text {
                id: logoHeadBotText
                width: parent.width;
                height: parent.height / 2;
                horizontalAlignment: Qt.AlignRight
                verticalAlignment: Qt.AlignVCenter
                text: "操作系统";
                color: "#FFFFFF";
                font.pointSize: 18
                font.family: "Noto Sans CJK SC Regular"; font.styleName: "Medium"
            }
        }
    }
}
