/*
 * Copyright 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

pragma Singleton
import QtQuick 2.15
import QtQml 2.15
import QtQuick.Window 2.15

QtObject {
    property real widthScaleFactor : (Screen.width /  (Screen.width > Screen.height ? 1620 : 1080))    // 1.3333
    property real heightScaleFactor : (Screen.height / (Screen.width > Screen.height ? 1080 : 1620))

    property real tabletScaleFactor: (Screen.width >= Screen.height ? Screen.height / 1080 : Screen.width / 1080)

    property real appIconGridWidth: 240 * tabletScaleFactor//(Screen.width > Screen.height ? (Screen.width * 1440 / 1620 / 6) : (Screen.width / 4))
    property real appIconGridHeight: 194 * tabletScaleFactor//(Screen.width > Screen.height ? ((Screen.height - 52 * heightScaleFactor - 236 * heightScaleFactor) / 4)
                                       //                            : ((Screen.height - 190) / 6))

    property real dpScale:  1.5
    readonly property real dp: Math.max(Screen.pixelDensity * 25.4 / 160 * dpScale, 1)

    property real defaultPixDensity: 3.611320754716981  //pixel density of my current screen
    property real scaleFactor: dp//Screen.pixelDensity / defaultPixDensity
    Component.onCompleted: {
        console.log("scale--->", tabletScaleFactor, "screen.height-->", Screen.height, "desktopAvailableHeight->", Screen.desktopAvailableHeight)
    }
}
