/*
 * Copyright 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import QtQml 2.15
import QtQuick.Layouts 1.15
import "."

Rectangle {
    property string timeformat: trayIcon.timeformat;
    property string hour;
    property string minute;
    property int hournumber;
    property string week;
    property string dateformat: trayIcon.dateformat

    width: 53 * Style.tabletScaleFactor
    height: 54 * Style.tabletScaleFactor
    color: "transparent"

    Timer {
        id: gettime;
        interval: 100;
        running: true;
        repeat: true;
        triggeredOnStart: true
        onTriggered: {
            hour = Qt.formatTime(new Date(),"hh");
            minute = Qt.formatTime(new Date(),"mm");
            if(timeformat === "12") {
                hournumber = Number(hour);
                if(hournumber > 12) {
                    hournumber -= 12;
                    hour = hournumber.toString();
                }
                time.text = hour + ":" + minute
            }
            else {
                time.text = hour + ":" + minute
            }
            week.text = Qt.formatDate(new Date(),"ddd")
            if(dateformat == "cn") {
                date.text = Qt.formatDate(new Date(),"MM/dd");
            } else {
                date.text = Qt.formatDate(new Date(),"MM-dd");
            }
        }
    }

    Column {
        anchors.centerIn: parent
        anchors.horizontalCenter: parent.horizontalCenter
        Text {
            id: time
            color: "#262626"; font.pointSize: 16; font.family: "OPPOSans M"
        }
        Row {
            spacing: 2 * Style.tabletScaleFactor
            Text {
                id: date
                color: "#000000"; font.pointSize: 8; font.family: "OPPOSans M"
            }
            Text {
                id: week
                color: "#000000"; font.pointSize: 8; font.family: "OPPOSans M"
            }
        }
    }

    Component.onCompleted: gettime.start();
}
